Summary:   Virtual Network Computing
Name:      vnc
Version:   3.3.3
Release:   3
URL:       http://www.uk.research.att.com/vnc/
Source:    http://www.uk.research.att.com/vnc/dist/%{name}-%{version}_unixsrc.tgz
Source1:   vnc.conf
Source2:   vncserver
Patch0:    vnc-3.3.3-vncserver.patch
Patch1:    vnc-3.3.3-ppc.patch
Copyright: GPL
Group:     Applications/Productivity
BuildRoot: /tmp/%{name}-%{version}-root

%description
VNC stands for Virtual Network Computing. It is, in essence, a remote display
system which allows you to view a computing 'desktop' environment not only on
the machine where it is running, but from anywhere on the Internet and from a
wide variety of machine architectures.

%prep
%setup -q -n %{name}_unixsrc

%patch0 -p1

%ifarch ppc
HOSTDEF=/usr/X11R6/lib/X11/config/host.def
if [ ! -e $HOSTDEF ]; then touch $HOSTDEF; fi
%patch1 -p1
%endif

%build
xmkmf
make CDEBUGFLAGS="$RPM_OPT_FLAGS" World
cd Xvnc
make CDEBUGFLAGS="$RPM_OPT_FLAGS" World

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc
install -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -d $RPM_BUILD_ROOT/usr/share/vnc/classes

./vncinstall $RPM_BUILD_ROOT/usr/X11R6/bin

install -m644 classes/* $RPM_BUILD_ROOT/usr/share/vnc/classes
install -m644 $RPM_SOURCE_DIR/vnc.conf $RPM_BUILD_ROOT/etc

strip $RPM_BUILD_ROOT/usr/X11R6/bin/* || :

install -d $RPM_BUILD_ROOT/etc
install -m644 $RPM_SOURCE_DIR/vnc.conf $RPM_BUILD_ROOT/etc

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{init.d,rc1.d,rc2.d,rc3.d,rc4.d,rc5.d,rc6.d}
install -m644 $RPM_SOURCE_DIR/vncserver $RPM_BUILD_ROOT/etc/rc.d/init.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENCE.TXT README
%config /etc/vnc.conf
%attr(0755,root,root)/etc/rc.d/init.d/vncserver
/usr/X11R6/bin/*
/usr/share/vnc/classes

%changelog
* Thu Aug 26 1999 Sean P. Kane <kane@ca.metsci.com>
- Added vncserver init script (disappeared from this RPM)
- touch /usr/X11R6/lib/X11/config/host.def since linuxppc has no such file. (re-added iNOUE Koichi's fix that has disappeared from this RPM)

* Tue Aug 24 1999 Arne Coucheron <arneco@online.no>
  [3.3.3-1]
- changed Group, URL and Source tag

* Sat Mar 06 1999 Arne Coucheron <arneco@online.no>
  [3.3.2r3-2]
- recompiled to use the changes made by iNOUE Koichi

* Mon Jan 25 1999 iNOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- added ppc patch and /etc/vnc.conf feature

* Wed Dec 16 1998 Arne Coucheron <arneco@online.no>
  [3.3.2r3-1]

* Mon Dec 07 1998 Arne Coucheron <arneco@online.no>
  [3.3.2r2-2]
- changes to vncserver script to make it work with RH 5.2

* Sat Jul 25 1998 Arne Coucheron <arneco@online.no>
  [3.3.2r2-1]

* Mon Jul 06 1998 Arne Coucheron <arneco@online.no>
  [3.3.2-3]
- it would have been nice if people updating the package would follow
  common sense and do it so using existing ones, and also update their
  changes in the changelog, but I guess some find this rule hard to follow
- binaries moved back to /usr/X11R6/bin

* Tue May 26 1998 Arne Coucheron <arneco@online.no>
  [3.3.2-1]
- moved java classes to /usr/share/vnc/classes
- moved binaries to /usr/bin
- using predefined %%{name} and %%{version}
- using %defattr in filelist, this means that rpm 2.5 is required to build

* Tue Mar 17 1998 Arne Coucheron <arneco@online.no>
  [3.3.1-4]
- added a new font patch, hopefully this works better (Thanks to Gbor J.Tth)

* Sun Mar 01 1998 Arne Coucheron <arneco@online.no>
  [3.3.1-3]
- using buildroot and %attr macros
- added patch to make it build against glibc
- added patch to make it find the fonts on RH5
